/**
 * The order is the same as the TSConfig Reference
 *
 * @see https://www.typescriptlang.org/tsconfig#compilerOptions
 */
export const order = [
  'allowUnreachableCode',
  'allowUnusedLabels',
  'alwaysStrict',
  'exactOptionalPropertyTypes',
  'noFallthroughCasesInSwitch',
  'noImplicitAny',
  'noImplicitOverride',
  'noImplicitReturns',
  'noImplicitThis',
  'noPropertyAccessFromIndexSignature',
  'noUncheckedIndexedAccess',
  'noUnusedLocals',
  'noUnusedParameters',
  'strict',
  'strictBindCallApply',
  'strictFunctionTypes',
  'strictNullChecks',
  'strictPropertyInitialization',
  'useUnknownInCatchVariables',
  'allowUmdGlobalAccess',
  'baseUrl',
  'module',
  'moduleResolution',
  'noResolve',
  'paths',
  'resolveJsonModule',
  'rootDir',
  'rootDirs',
  'typeRoots',
  'types',
  'declaration',
  'declarationDir',
  'declarationMap',
  'downlevelIteration',
  'emitBOM',
  'emitDeclarationOnly',
  'importHelpers',
  'importsNotUsedAsValues',
  'inlineSourceMap',
  'inlineSources',
  'mapRoot',
  'newLine',
  'noEmit',
  'noEmitHelpers',
  'noEmitOnError',
  'outDir',
  'outFile',
  'preserveConstEnums',
  'preserveValueImports',
  'removeComments',
  'sourceMap',
  'sourceRoot',
  'stripInternal',
  'allowJs',
  'checkJs',
  'maxNodeModuleJsDepth',
  'disableSizeLimit',
  'plugins',
  'allowSyntheticDefaultImports',
  'esModuleInterop',
  'forceConsistentCasingInFileNames',
  'isolatedModules',
  'preserveSymlinks',
  'charset',
  'keyofStringsOnly',
  'noImplicitUseStrict',
  'noStrictGenericChecks',
  'out',
  'suppressExcessPropertyErrors',
  'suppressImplicitAnyIndexErrors',
  'Language',
  'Environment',
  'emitDecoratorMetadata',
  'experimentalDecorators',
  'jsx',
  'jsxFactory',
  'jsxFragmentFactory',
  'jsxImportSource',
  'lib',
  'noLib',
  'reactNamespace',
  'target',
  'useDefineForClassFields',
  'diagnostics',
  'explainFiles',
  'extendedDiagnostics',
  'generateCpuProfile',
  'listEmittedFiles',
  'listFiles',
  'traceResolution',
  'composite',
  'disableReferencedProjectLoad',
  'disableSolutionSearching',
  'disableSourceOfProjectReferenceRedirect',
  'incremental',
  'tsBuildInfoFile',
  'noErrorTruncation',
  'preserveWatchOutput',
  'pretty',
  'skipDefaultLibCheck',
  'skipLibCheck',
  'assumeChangesOnlyAffectDirectDependencies',
]
